kind: BuildConfig
apiVersion: build.openshift.io/v1
metadata:
  annotations:
    meta.helm.sh/release-name: autoupgrading-app
    meta.helm.sh/release-namespace: prova
  resourceVersion: '10167472'
  name: autoupgrading-app
  uid: 7a067307-58fa-4546-aa46-573cccaabeb2
  creationTimestamp: '2022-11-28T09:52:13Z'
  generation: 2
  managedFields:
    - manager: Go-http-client
      operation: Update
      apiVersion: build.openshift.io/v1
      time: '2022-11-28T09:52:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:imageChangeTriggers': {}
          'f:lastVersion': {}
    - manager: helm
      operation: Update
      apiVersion: build.openshift.io/v1
      time: '2022-11-28T09:52:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
          'f:labels':
            'f:helm.sh/chart': {}
            'f:com.redhat.component-version': {}
            'f:app.openshift.io/runtime': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:com.redhat.product-name': {}
            'f:com.redhat.component-type': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/instance': {}
            'f:com.redhat.product-version': {}
            'f:com.company': {}
            'f:com.redhat.component-name': {}
        'f:spec':
          'f:output':
            'f:to': {}
          'f:runPolicy': {}
          'f:source':
            'f:dockerfile': {}
            'f:images': {}
            'f:type': {}
          'f:strategy':
            'f:dockerStrategy':
              .: {}
              'f:from': {}
            'f:type': {}
          'f:triggers': {}
  namespace: prova
  labels:
    com.redhat.product-name: Red_Hat_Runtimes
    com.redhat.component-type: application
    app.kubernetes.io/instance: autoupgrading-app
    com.redhat.product-version: 2023-Q1
    com.company: Red_Hat
    com.redhat.component-version: '8.0'
    app.openshift.io/runtime: eap
    com.redhat.component-name: EAP
    app.kubernetes.io/managed-by: Helm
    helm.sh/chart: eap8-1.0.0-beta
    app.kubernetes.io/name: eap8
spec:
  nodeSelector: null
  output:
    to:
      kind: ImageStreamTag
      name: 'autoupgrading-app:latest'
  resources: {}
  successfulBuildsHistoryLimit: 5
  failedBuildsHistoryLimit: 5
  strategy:
    type: Docker
    dockerStrategy:
      from:
        kind: ImageStreamTag
        name: 'jboss-eap-8-tech-preview-eap8-openjdk17-runtime-openshift-rhel8:latest'
  postCommit: {}
  source:
    type: Dockerfile
    dockerfile: >-
      FROM
      jboss-eap-8-tech-preview-eap8-openjdk17-runtime-openshift-rhel8:latest

      COPY --chown=jboss:root /server $JBOSS_HOME

      RUN chmod -R ug+rwX $JBOSS_HOME
    images:
      - from:
          kind: ImageStreamTag
          name: 'autoupgrading-app-build-artifacts:latest'
        paths:
          - sourcePath: /opt/server
            destinationDir: .
  triggers:
    - type: ImageChange
      imageChange:
        from:
          kind: ImageStreamTag
          name: 'autoupgrading-app-build-artifacts:latest'
    - type: ConfigChange
  runPolicy: Serial
status:
  lastVersion: 1
  imageChangeTriggers:
    - from:
        name: 'autoupgrading-app-build-artifacts:latest'
      lastTriggerTime: null
